package com.zcloud.config;


import feign.Logger;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class FeignConfiguration {
        @Bean
        public Logger.Level getLoggerLevel() {
            return Logger.Level.FULL;
        }
        @Bean
        public ApiRequestInterceptor basicAuthRequestInterceptor() {
            // header上添加token
            return new ApiRequestInterceptor("1","2");
        }
//    @Bean
//    public Encoder feignEncoder() {
//        return new JacksonEncoder();
//    }
//
//    @Bean
//    public Decoder feignDecoder() {
//        return new JacksonDecoder();
//    }
        // Contract,feignDecoder,feignEncoder.....
}
